<?xml version="1.0" encoding="UTF-8"?>
<!--
	Stylesheet zur Anzeige von elektronischen Empfangsbekenntnissen auf Basis des XJustiz-Standards
	Bitte beachten Sie die Hinweise zur Nutzung des Stylesheets.
	Version 341.1.2 - Variante ohne Javascript (kein 'Erstelle PDF-Dokument' - Button (HTML2PDF); keine zentrale Fehlermeldung zur Codelisten-Aktualisierung) (Oktober 2023); erstellt von der XJustiz-Pflegestelle
	
	Lokal vorliegende Typ3-Codelisten (Ordner 'codelisten_typ3'):
	a) GDS.Gerichte (Version: 3.6)
	b) GDS.Dokumentklasse (Version: 1.3)
	c) GDS.Dokumenttyp (Version: 3.7)
	
-->

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:tns="http://www.xjustiz.de"
	xmlns:gc="http://docs.oasis-open.org/codelist/ns/genericode/1.0/" >
	
	<!-- Variablen-Deklaration -->
	
		<!-- Hinweis: Bei den Versionsangaben zu Typ3-Codelisten im Instanzdokument wird immer nur das erste Vorkommen je Typ3-Codeliste ausgewertet! -->
	
		<!-- Verwendete XJ-Nachrichten (XML-Instanzen): -->
		<!-- 1. Datei: hinlaufendes eEB. Das eEB-Stylesheet wird mit dem Browser-Aufruf des hinl. eEB ('xjustiz_nachricht_hinlaufend.xml') gestartet, welches diese xslt-Datei per im hinl. eEB zuvor zu ergaenzender Direktive <?xml-stylesheet type="text/xsl" href="xslt/stylesheet_xjustiz_eeb_341_1.xslt"?> einbindet! -->
		
		<!-- 2. Datei: ruecklaufendes eEB (im selben Ordner, wie hinl. eEB; Dateiname festgelegt!) -->
		<xsl:variable name="ruecklaufendesEEB_datei" select="document('../xjustiz_nachricht.xml')"/>
		
		
		<!-- XJustiz-Versionen auslesen: -->
		<xsl:variable name="hinlaufendesEEB_xjustizVersion" select="//@xjustizVersion"/>
		<xsl:variable name="ruecklaufendesEEB_xjustizVersion" select="$ruecklaufendesEEB_datei//@xjustizVersion"/>
		
		
		<!-- GDS-Codelisten 'Allgemein' (Typ1, hier: Codelisten zu Aktentyp, Teilaktentyp und RVTraeger): -->
		
			<!-- Achtung: Codelisten-Struktur und Version im Dateinamen der Schemadatei kann sich bei neuer XJ-Version aendern!: -->
			<xsl:variable name="codeliste_GDSAllgemeinTyp1_XJ321" select="document('../xsd/321/xjustiz_0010_cl_allgemein_3_3.xsd')"/>
			<xsl:variable name="codeliste_GDSAllgemeinTyp1_XJ331" select="document('../xsd/331/xjustiz_0010_cl_allgemein_3_4.xsd')"/>
			<xsl:variable name="codeliste_GDSAllgemeinTyp1_XJ341" select="document('../xsd/341/xjustiz_0010_cl_allgemein_3_5.xsd')"/>
		
		<!-- /GDS-Codelisten 'Allgemein' -->
		
		
		<!-- GDS-Codeliste 'GDS.Gerichte' (Typ3): -->
			
			<!-- Codelisten-Version zu 'GDS.Gerichte' auslesen (aus lokaler Datei 'xjustiz_nachricht_eeb_hinlaufend.xml'): -->
			<xsl:variable name="codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB" select="//tns:nachrichtenkopf//tns:absender.gericht/@listVersionID|//tns:nachrichtenkopf//tns:empfaenger.gericht/@listVersionID"/>
			
			<!-- Codelisten-Version 'GDS.Gerichte' auslesen (aus lokaler Datei 'xjustiz_nachricht.xml', ruecklaufende eEB-Nachricht): -->
			<xsl:variable name="codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB" select="$ruecklaufendesEEB_datei//tns:nachrichtenkopf//tns:absender.gericht/@listVersionID"/><!-- 'empfaenger.gericht' im rueckl. eEB  kommt aus hinl. eEB: dort 'absender.gericht'! -->
			
			<!-- Gesamte Codeliste 'GDS.Gerichte' in der vorliegenden lokalen Version einer Variable zuweisen -->
			<xsl:variable name="codeliste_GDSGerichteTyp3" select="document('../codelisten_typ3/GDS.Gerichte.xml')" />
			
			<!-- Versionsnummer der Codeliste 'Code.GDS.Gerichte' ermitteln -->
			<xsl:variable name="codelistenVersion_GDSGerichteTyp3_ausCodeliste" select="$codeliste_GDSGerichteTyp3//gc:CodeList/Identification/Version" />
			
			<!-- Anzupassende 'Konstante' 1/3: gueltige/zulaessige Versionen der Codeliste 'GDS.Gerichte' (vorliegende lokale Version: 3.6) -->
			<!-- (Hinweis: Aktuell im XRepository bereits abgekuendigte Codelistenversionen, koennen bei alten XJustiz - eEB-Nachrichten noch gueltig gewesen sein! Daher werden hier alte Codelisten-Versionen beibehalten!) -->
			<xsl:variable name="gueltigeCodelistenVersionen_GDSGerichteTyp3">3.2_3.3_3.4_3.5_3.6</xsl:variable>

		<!-- /GDS-Codeliste 'GDS.Gerichte' -->
		
		
		<!-- GDS-Codeliste 'GDS.Dokumentklasse' (Typ3): -->
		
			<!-- Codelisten-Version 'Code.GDS.Dokumentklasse.Typ3' auslesen (aus lokaler Datei 'xjustiz_nachricht_eeb_hinlaufend.xml'): -->
			<xsl:variable name="codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB" select="//tns:schriftgutobjekte//tns:dokumentklasse/@listVersionID"/>
			
			<!-- Gesamte Codeliste 'GDS.Dokumentklasse' in der vorliegenden lokalen Version einer Variable zuweisen -->
			<xsl:variable name="codeliste_GDSDokumentklasseTyp3" select="document('../codelisten_typ3/GDS.Dokumentklasse.xml')" />
			
			<!-- Versionsnummer der Codeliste 'Code.GDS.Dokumentklasse' ermitteln -->
			<xsl:variable name="codelistenVersion_GDSDokumentklasseTyp3_ausCodeliste" select="$codeliste_GDSDokumentklasseTyp3//gc:CodeList/Identification/Version" />
			
			<!-- Anzupassende 'Konstante' 2/3: gueltige/zulaessige Versionen der Codeliste 'GDS.Dokumentklasse (vorliegende lokale Version: 1.3) -->
			<!-- (Hinweis: Aktuell im XRepository bereits abgekuendigte Codelistenversionen, koennen bei alten XJustiz - eEB-Nachrichten noch gueltig gewesen sein! Daher werden hier alte Codelisten-Versionen beibehalten!) -->
			<xsl:variable name="gueltigeCodelistenVersionen_GDSDokumentklasseTyp3">1.0_1.1_1.2_1.3</xsl:variable>

		<!-- /GDS-Codeliste 'GDS.Dokumentklasse' -->
		

		<!-- GDS-Codeliste 'GDS.Dokumenttyp' (Typ3): -->
		
			<!-- Codelisten-Version 'Code.GDS.Dokumenttyp.Typ3' auslesen (aus lokaler Datei 'xjustiz_nachricht_eeb_hinlaufend.xml'): -->
			<xsl:variable name="codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB" select="//tns:schriftgutobjekte//tns:dokumententyp/@listVersionID"/>
			
			<!-- Gesamte Codeliste 'GDS.Dokumenttyp' in der vorliegenden lokalen Version einer Variable zuweisen -->
			<xsl:variable name="codeliste_GDSDokumenttypTyp3" select="document('../codelisten_typ3/GDS.Dokumenttyp.xml')" />
			
			<!-- Versionsnummer der Codeliste 'Code.GDS.Dokumenttyp' ermitteln -->
			<xsl:variable name="codelistenVersion_GDSDokumenttypTyp3_ausCodeliste" select="$codeliste_GDSDokumenttypTyp3//gc:CodeList/Identification/Version" />
			
			<!-- Anzupassende 'Konstante' 3/3: gueltige/zulaessige Versionen der Codeliste 'GDS.Dokumenttyp (vorliegende lokale Version: 3.7) -->
			<!-- (Hinweis: Aktuell im XRepository bereits abgekuendigte Codelistenversionen, koennen bei alten XJustiz - eEB-Nachrichten noch gueltig gewesen sein! Daher werden hier alte Codelisten-Versionen beibehalten!) -->
			<xsl:variable name="gueltigeCodelistenVersionen_GDSDokumenttypTyp3">3.2_3.3_3.4_3.5_3.6_3.7</xsl:variable>

		<!-- /GDS-Codeliste 'GDS.Dokumenttyp' -->

		
		<!-- EEB-Codeliste 'Stoerung' (Typ1, Datenquelle: rueckl. eEB!) -->
		
			<!-- Achtung: Codelisten-Struktur und Version im Dateinamen der Schemadatei kann sich bei neuer XJ-Version ändern! -->
			<!-- Hinweis: Unterschiedliche Schreibweise zu Code '3' bei Wert zwischen XJ-3.3.1 und XJ-3.4.1 vernachlaessigbar: 'Zertifikatspruefung fehlgeschlagen'/'Zertifikatsprüfung fehlgeschlagen' -->
			<xsl:variable name="codeliste_EEBStoerungsID_XJ331" select="document('../xsd/331/xjustiz_2210_cl_eeb_3_0.xsd')"/>
			<xsl:variable name="codeliste_EEBStoerungsID_XJ341" select="document('../xsd/341/xjustiz_2210_cl_eeb_3_1.xsd')"/>
		
		<!-- /EEB-Codeliste 'Stoerung' (Typ1, Datenquelle: rueckl. eEB!) -->
		
	<!-- /Variablen-Deklaration -->


	<!-- HTML5 -->
	<xsl:output method="html" doctype-system="about:legacy-compat" encoding="UTF-8" indent="yes" cdata-section-elements="link script style noscript" />

	
	<!-- ############################# Vorlagen (I) zur Verarbeitung der XJustiz-Instanzdokumente ############################# -->
		
	<!-- /////////////// Auslesen der Dokumentwurzel: Startvorlage zum Aufbau des Grundgeruestes der HTML-Seite \\\\\\\\\\\\\\\ -->
	<xsl:template match="/">
	
		<html lang="de">
			<head>
				<title>Elektronisches Empfangsbekenntnis</title>
				<!-- CSS -->
				<style type="text/css">
				
					@media screen {

						* {
							margin: 0;
							padding: 0;
						}

						html {
							height: 100%;
							box-sizing: border-box;
							font-size: 100%;
						}

						body {
							font-family: Arial, sans-serif;
							font-size: 1rem;
							font-weight: normal;
							text-align: left;
							color: #000;
							background-color: #fff;
							margin: 2em;
							padding-bottom: 4em;
						}
						
						main {
							display: block; /* fuer IE9-11 noetig; jedoch keine Browser-Unterstuetzung mehr */
						}

						h1 {	
							font-size: 2rem;
							font-weight: bold;
							text-align:	center;
							margin-bottom: 1.25em;
						}
						
						h2 {
							font-size: 1.15rem;
							font-weight: bold;
							margin-top: 2em;
						}
						   
						p {
							margin-top: 1em;
							margin-bottom: 1em;
						}
						
						p.meldung {
							font-size: 1.25rem;
							font-weight: bold;
						}
						
						p.titleKeinJS {
							font-weight: bold; 
							color: #D30000;
						}

						ul {
							margin: 1em 0;
							padding: 0 15px;
						}
						
						li {
							list-style-type: square;
						}
						
						div {
							margin: 1em 0;
						}
						
						div.eebAblehnung {
							display: inline-block;
							margin: 0;
							width: 34%;
						}
						
						div.box {
							display: block;
							border-radius: 10px;
							margin: 0 auto 2em auto;
							padding: 5px 20px;
						}
						
						div#hinweisBoxUpdateStylesheet {
							/* nur StSh */
							display: none;
						}
						
						div.fehlerBox {
							color: #c32e04;
							border: 4px solid #c32e04;
							max-width: 720px;
						}
						
						div#fehlerBoxKeinJS {
							display: block; /* in BrAnwg: ausgelagert! */
							text-align: center;
							margin: 0 auto 3em auto;
							border: 2px solid silver;
							border-radius: 10px;
							padding: 1em;
							max-width: 575px;
						}

						div.hinweisBox {
							color: #c32e04; /* beige: #CC9933; */
							border: 4px solid #c32e04; /* beige: #dfac20; */
							max-width: 720px;
						}
						
						.rahmen {
							border:	2px solid;
							padding: 10px;
						}
						
						.fett {
							font-weight: bold;
						}
						
						.unterstrichen {
							text-decoration: underline;
						}
						   
						.kursiv { 
							font-style: italic; /* i.d.R. als 'em' */
						}
						   
						.abstandOben {
							margin-top: 2em;
						}
						
						.abstandUnten {
							margin-bottom: 2em;
						}
						
						.textFloatRight {
							float: right;
						}
						
						.textCenter {
							text-align: center;
						}
						
						.fehler {
							color: #D30000;
						}
						
						.hinweis {
						}
						   
						.rot {
							color: #D30000;
						}
						
						table {  
							padding: 10px; 
							border-spacing: 0; 
							border-collapse: collapse; 
							border: 2px solid black;
							empty-cells: show;
							width: 100%;
						}
						
						table th { 
							border: 1px solid #000;
							text-align: center;
							padding: 5px 12px;  
							background-color: #D3D3D3;
						}
				
						table td { 
							vertical-align: top; 
							border: 1px solid #000;
							padding: 5px 12px;		
						}
						
						table th:first-child,
						table td:first-child {
							width: 3%;
							text-align: center;
						}
						
						table th:nth-child(2),
						table td:nth-child(2) {
							width: 20%;
						}
						
						table th:nth-child(3),
						table td:nth-child(3) {
							width: 12%;
							text-align: center;
						}
						
						table th:nth-child(4),
						table td:nth-child(4) {
							-ms-hyphens: auto;
							-moz-hyphens: auto;
							-webkit-hyphens: auto;
							hyphens: auto; 
							word-break: break-all;
						}
						
						.nobr,
						.nobr_screen {
							white-space: nowrap;
						}
						
						.print {
							display: none;
						}
						
						/* HTML2PDF - in dieser Variante entfernt! */
						
					}
						
					@media print {
						
						* {
							margin: 0;
							padding: 0;
							background-color: #fff;
						}

						html {
							height: 100%;
							box-sizing: border-box;
							font-size: 100%;
						}

						body {
							font-family: Arial, sans-serif;
							font-size: 1rem;
							font-weight: normal;
							text-align: left;
							color: #000;
							background-color: #fff;
							margin: 2em;
							padding-bottom: 0em;
						}
						
						main {
							display: block; /* fuer IE9-11 noetig; jedoch keine Browser-Unterstuetzung mehr */
						}

						h1 {	
							font-size: 2rem;
							font-weight: bold;
							text-align:	center;
							margin-bottom: 1.25em;
						}
						
						h2 {
							font-size: 1.15rem;
							font-weight: bold;
							margin-top: 2em; /* in Br.Anwg: ausgelagert! */
						}
						   
						p {
							margin-top: 1em;
							margin-bottom: 1em;
						}
						
						p.meldung {
							font-size: 1.25rem;
							font-weight: bold;
						}
						
						p.titleKeinJS {
							font-weight: bold;
							color: #D30000;
						}
						
						ul {
							margin: 1em 0;
							padding: 0 15px;
						}
						
						li {
							list-style-type: square;
						}
						
						div {
							margin: 1em 0;
						}
						
						div.eebAblehnung {
							display: inline-block;
							margin: 0;
							width: 75%;
						}
						
						div.box {
							display: block;
							border-radius: 10px;
							margin: 0 auto 2em auto;
							padding: 5px 15px;
							max-width: 75%;
						}
						
						div#hinweisBoxUpdateStylesheet {
							/* nur StSh */
							display: none;
						}
						
						div.fehlerBox {
							color: #c32e04;
							border:	2px solid #c32e04;
							background-color: #fff;
						}
						
						div#fehlerBoxKeinJS {
							display: block; / * in BrAnwg: ausgelagert! * /
							text-align: center;
							margin: 0 auto 3em auto;
							border: 2px solid silver;
							border-radius: 10px;
							padding: 1em;
							max-width: 75%;
						}

						div.hinweisBox {
							color: #c32e04; /* beige: #CC9933; */
							border: 2px solid #c32e04; /* beige: #dfac20; */
							background-color: #fff;
						}
						
						.rahmen {
							border:	2px solid;
							padding: 10px;
						}
						
						.fett {
							font-weight: bold;
						}
						
						.unterstrichen {
							text-decoration: underline;
						}
						   
						.kursiv { 
							font-style: italic; /* i.d.R. als 'em' */
						}
						   
						.abstandOben,
						.abstandObenPrint {
							margin-top: 2em;
						}
						
						.abstandUnten,
						.abstandUntenPrint {
							margin-bottom: 2em;
						}
						
						.textFloatRight {
							float: right;
						}
						
						.textCenter {
							text-align: center;
						}
						
						.fehler {
							color: #D30000;
						}
						
						.hinweis {
						}
						   
						.rot {
							color: #D30000;
						}
						
						table {  
							padding: 10px; 
							border-spacing: 0; 
							border-collapse: collapse; 
							border: 2px solid black;
							empty-cells: show;
							width: 100%;
						}
						
						/* nur print */
						table tr { 
							page-break-inside: avoid;
						}
						
						@page { 
							 size: portrait; /* landscape */
						}
						/* /nur print */
						
						table th { 
							position: unset;
							border: 1px solid #000;
							background-color: transparent; /* hellgrau: #D3D3D3; */
							text-align: center;
							padding: 5px 12px; 
						}
						
						table td { 
							border: 1px solid #000;
							vertical-align: top; 
							padding: 5px 12px;	
						}

						table th:first-child,
						table td:first-child {
							width: 12%;
							text-align: center;
						}
						
						table th:nth-child(2),
						table td:nth-child(2) {
							width: 30%;
						}
						
						table th:nth-child(3),
						table td:nth-child(3) {
							width: 12%;
							text-align: center;
						}
						
						table th:first-child,
						table td:first-child,
						table th:nth-child(2),
						table td:nth-child(2),
						table th:nth-child(4),
						table td:nth-child(4) {
							-ms-hyphens: auto;
							-moz-hyphens: auto;
							-webkit-hyphens: auto;
							hyphens: auto; 
							word-break: break-all;
						}
						
						.nobr {
							white-space: nowrap; 
						}
						
						.screen {
							display: none !important;
						}
						
					}
				
				</style>
				<!-- /CSS -->
				
				<!-- HTML2PDF - Aufruf fuer PDF-Druck(-Button) in dieser Variante entfernt!: <script src="./script/html2pdf.bundle.js"></script> -->

				<!--
				<script type="text/javascript">
				
					/* Blendet bei 'triggerCodelistHinweisBox'-Hinweis die zentrale Hinweisbox 'hinweisBoxUpdateStylesheet' ein -> in dieser Variante entfernt! */
											   
					/* HTML2PDF: PDF erzeugen - 'function makePDF()' in dieser Variante entfernt! */
						 
				</script>
				-->

			</head>
			<body> <!-- 'onload="javascript:showhinweisBoxUpdateStylesheet();"' und 'id="html2pdf_print"' in dieser Variante entfernt! -->
			  <main>

				<!-- in dieser Variante entfernt!:
			  	<noscript>
					<div id="fehlerBoxKeinJS">
						<p class="titleKeinJS">FEHLER: Eine Javascript-Freigabe ist erforderlich!</p>
						<p>Die XJustiz-Nachrichten können ohne Javascript nicht verarbeitet werden.<br />Bitte aktivieren Sie Javascript in Ihrem Browser.</p>
					</div>
				</noscript>
				-->
			  
				<h1>Empfangsbekenntnis</h1>

				<xsl:choose>
					<xsl:when test="contains('3.2.1_3.3.1_3.4.1', $hinlaufendesEEB_xjustizVersion) and not(/tns:nachricht.gds.uebermittlungSchriftgutobjekte.0005005)">
						<!-- PRUEFUNG 01a: Enthaelt die hinlaufende eEB - Datei inhaltlich tatsaechlich auch eine hinlaufende eEB-Nachricht? -->
						<div class="box fehlerBox textCenter">
							<p class="meldung">Fehler:</p>
							<p>Das hinlaufende elektronische Empfangsbekenntnis verwendet inhaltlich nicht die XJustiz-Nachricht 'nachricht.gds.uebermittlungSchriftgutobjekte.0005005'!</p>
						</div>
					</xsl:when>
					<xsl:when test="contains('3.3.1_3.4.1', $ruecklaufendesEEB_xjustizVersion) and $ruecklaufendesEEB_datei and not($ruecklaufendesEEB_datei/tns:nachricht.eeb.zuruecklaufend.2200007)">
						<!-- PRUEFUNG 01b: Enthaelt die vorhandene(!) ruecklaufende eEB - Datei inhaltlich tatsaechlich auch eine ruecklaufende eEB-Nachricht? -->
						<div class="box fehlerBox textCenter">
							<p class="meldung">Fehler:</p>
							<p>Das rücklaufende elektronische Empfangsbekenntnis verwendet inhaltlich nicht die XJustiz-Nachricht 'nachricht.eeb.zuruecklaufend.2200007'!</p>
						</div>
					</xsl:when>
					<xsl:when test="//tns:eigeneNachrichtenID != $ruecklaufendesEEB_datei//tns:fremdeNachrichtenID">
						<!-- PRUEFUNG 02: Passen die XML-Dateien (hinlaufendes/ruecklaufendes eEB) hinsichtlich der urspr. Absender-Nachrichten-ID aus dem hinl. eEB zueinander? -->
						<div class="box fehlerBox textCenter">
							<p class="meldung">Fehler:</p>
							<p class="fett">Das rücklaufende elektronische Empfangsbekenntnis bezieht sich nicht auf das an den Zustellungsempfänger hinlaufende elektronische Empfangsbekenntnis.</p>
							<p>ID des hinlaufenden eEB:</p>
							<p class="rahmen">
							<span>
								<xsl:value-of select="//tns:eigeneNachrichtenID"/>	
							</span>
							</p>
							<p>Abweichende ID im rücklaufenden eEB:</p>
							<p class="rahmen">
							<span>
								<xsl:value-of select="$ruecklaufendesEEB_datei//tns:fremdeNachrichtenID"/>
							</span>
							</p>
						</div>
					</xsl:when>
					<xsl:when test="not($ruecklaufendesEEB_datei)">
						<!-- PRUEFUNG 03: ruecklaufendes eEB (xjustiz-nachricht.xml) vorhanden?  -->
						<!-- Achtung: Die not()-Funktion greift nicht im 'Internet Explorer 11', sondern fuehrt zu einer defekten Anzeige! -->
						<div class="box hinweisBox abstandUnten textCenter">
							<p class="meldung">Hinweis:</p> 
							<p>Nachfolgend wird nur die <span class="unterstrichen">Aufforderung</span> zur Abgabe eines Empfangsbekenntnisses dargestellt, da kein rücklaufendes eEB vorhanden ist.</p>	
						</div>
						<!-- PRUEFUNG 04: Wird die richtige XJustiz-Schema-Version verwendet? -->
						<xsl:call-template name="versionspruefung_xj"/>
						<!-- Aufruf SGO-Matcher -->
						<xsl:apply-templates select="tns:nachricht.gds.uebermittlungSchriftgutobjekte.0005005" />
					</xsl:when>
					<xsl:when test="($codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB and not(contains($gueltigeCodelistenVersionen_GDSGerichteTyp3, $codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB))) or ($codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB and not(contains($gueltigeCodelistenVersionen_GDSGerichteTyp3, $codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB))) or ($codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB and not(contains($gueltigeCodelistenVersionen_GDSDokumentklasseTyp3, $codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB))) or ($codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB and not(contains($gueltigeCodelistenVersionen_GDSDokumenttypTyp3, $codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB)))">
						<!-- In dieser Variante ohne Javascript nicht moeglich!: PRUEFUNG 05: Passt eine (konkret in den beiden Instanzdokumenten 'hinl./rueckl. eEB' verwendete) Codelistenversion nicht zu den in der Variablen-Deklaration definierten 'Konstanten' - jeweils zu einer der drei lokalen Typ3-Codelisten 'GDS.Gerichte', 'GDS.Dokumentklasse' und 'GDS.Dokumenttyp'? Wenn noch zusaetzlich fuer den gesuchten Codelisten-Schluessel kein Eintrag in lokaler Codelistenversion gefunden werden kann, wird nachfolgende zentrale Hinweisbox ausgegeben! -->
						<!-- 
						<div class="box hinweisBox abstandUnten textCenter" id="hinweisBoxUpdateStylesheet">
							<p class="meldung">Hinweis:</p> 
							<p>Eine oder mehrere benötigte Codelistenversion(en) fehlen.<br />Bitte prüfen Sie, ob Ihre eEB-Stylesheet - Anwendung der neuesten Version entspricht.</p>
						</div>
						-->
						<!-- PRUEFUNG 04: Wird die richtige XJ-Schema-Version verwendet? -->
						<xsl:call-template name="versionspruefung_xj"/>
						<!-- Aufruf SGO-Matcher -->
						<xsl:apply-templates select="tns:nachricht.gds.uebermittlungSchriftgutobjekte.0005005" />
					</xsl:when>
					<xsl:otherwise>
						<!-- PRUEFUNG 04: Wird die richtige XJustiz-Version verwendet? -->
						<xsl:call-template name="versionspruefung_xj"/>
						<!-- Aufruf SGO-Matcher (Schriftgutobjekte-Nachricht, also hinl. eEB) -->
						<xsl:apply-templates select="tns:nachricht.gds.uebermittlungSchriftgutobjekte.0005005" />
					</xsl:otherwise>
				</xsl:choose>
				
				<!-- In dieser Variante entfernt!: 'HTML2PDF' - Button 'PDF erstellen' (Fall-Unterscheidung nur fuer unterschiedliche printPDF-Button - Positionierung noetig!) -->
				
			  </main>
			</body>
		</html>
		
	</xsl:template>


	<!-- /////////////// 'Ausgabe des Inhalts zum eEB' mit 'Auslesen der SGO-Nachricht' \\\\\\\\\\\\\\\ -->
	<xsl:template match="tns:nachricht.gds.uebermittlungSchriftgutobjekte.0005005">
	
		<!-- Adressat/Empfaenger des rueckl. eEB's (entspricht im hinl. eEB jedoch dem Absender des hinl. eEB's!) -->
			<!-- 'An das' -->
			<h2>Geschäftszeichen:</h2>
			
			<p>
			<!-- Empfaenger-Aktenzeichen des rueckl. eEBs; Datenquelle: Absender-AZ hinl. eEB! Das Absender-Aktenzeichen kann in XJ-3.x.x (auch in der eEB-Nachricht, ruecklaufend) mehr als einmal vorkommen -->
			<xsl:for-each select="//tns:nachrichtenkopf//tns:aktenzeichen.absender">
				<xsl:value-of select="."/>
				<xsl:if test="not(position() = last())">,&#160;</xsl:if>
			</xsl:for-each>
			</p>
			
			<!-- Empfaenger-Bezeichnung des rueckl. eEBs; Datenquelle: Absender hinl. eEB! -->
			<p><xsl:apply-templates select="//tns:absender.gericht|//tns:absender.sonstige|//tns:absender.rvTraeger"/></p>
		<!-- /Adressat/Empfaenger des rueckl. eEB's -->

		<!-- eEB - Abgabe oder Nicht-Abgabe -->
			<h2>In Sachen </h2>
			
			<!-- Datenquelle: hinl. eEB! -->
			<xsl:choose>
				<xsl:when test="//tns:kurzrubrum">
					<p><xsl:value-of select="//tns:kurzrubrum" /></p>
				</xsl:when>
				<xsl:otherwise>
					<!-- Kein Kurzrubrum im hinlaufenden eEB vorhanden! Es wird stattdessen das 'aktenzeichen.absender' aus dem hinlaufenden eEB verwendet! -->
					<p><xsl:value-of select="//tns:nachrichtenkopf/tns:aktenzeichen.absender[1]"/></p>
				</xsl:otherwise>
			</xsl:choose>
			
			<xsl:choose>
				<xsl:when test="$ruecklaufendesEEB_datei != false() and not($ruecklaufendesEEB_datei//tns:empfangsbestaetigung)">
					<!-- eEB wurde NICHT abgegeben -->
					<p>ist mir eine Aufforderung zur Abgabe des Empfangsbekenntnisses für die Entgegennahme des/der elektronischen Dokumente(s)</p><!-- ... übermittelt worden. -->				
				</xsl:when>
				<xsl:otherwise>
					<!-- eEB wurde abgegeben -->
					<p>bin ich zur Entgegennahme legitimiert und habe heute als elektronische(s) Dokument(e) erhalten:</p>				
				</xsl:otherwise>
			</xsl:choose>

			<!-- Ausgabe der SGO - Tabelle (nur fuer Akten, Teilakten und Dokumente, bei denen jeweils das eEB angefordert wurde!) -->	
			<table class="abstandOben">
			
			 <thead>
				<tr>
				
					<th class="nobr">Nr</th><!-- Nr ('Nummer im uebergeordneten Container') -->
					<th class="nobr">Typ</th><!-- Kann Wert der Codeliste 'GDS.Aktentyp', 'GDS.Teilaktentyp', 'GDS.Dokumentklasse' (Pflicht), 'GDS.Dokumenttyp' (optional) sein! -->
					<th class="nobr_screen">Datum des Schreibens</th>
					<th>Anzeigename</th>
				</tr>
			 </thead>

			 <tbody>
				<xsl:choose>
				
					<!-- Datenquelle: hinl. eEB! -->
					<xsl:when test="count(//tns:ruecksendungEEB.erforderlich[text() = 'true'] | //tns:ruecksendungEEB.erforderlich[text() = '1']) &gt; 0">
									
									<!-- 1.) alle Dokumente der obersten SGO-Ebene ausgeben -->
									<xsl:for-each select="(tns:schriftgutobjekte/tns:dokument)">

										<xsl:if test="(tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = 'true') or (tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = '1')">
											<tr>
											
												<!-- Template Dokument aufrufen -->
												<xsl:call-template name="dokumentdaten"/>
		
											</tr>
										</xsl:if> 
										
									</xsl:for-each>
									
									<!-- 2.) alle Akten der obersten SGO-Ebene ausgeben, incl. der ggf. darin enhaltenen Teilakten und Dokumente (nicht jedoch weitere Akten). In den Teilakten koennen rekursiv weitere Teilakten und/oder Dokumente enthalten sein. -->
									<xsl:for-each select="(tns:schriftgutobjekte/tns:akte|tns:schriftgutobjekte/tns:akte//tns:teilakte|tns:schriftgutobjekte/tns:akte//tns:dokument)">

										<xsl:if test="(tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = 'true') or (tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = '1')">
											<tr>
											
												<!-- Templates fuer Akte, Teilakte und Dokument aufrufen -->
												<xsl:choose>
													<xsl:when test="local-name(.) = 'akte'">
														<xsl:call-template name="aktendaten"/>
													</xsl:when>
													<xsl:when test="local-name(.) = 'teilakte'">
														<xsl:call-template name="teilaktendaten"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:call-template name="dokumentdaten"/>
													</xsl:otherwise>
												</xsl:choose>
												
											</tr>
										</xsl:if> 
										
									</xsl:for-each>
									
					</xsl:when>
				
					<xsl:otherwise>
						<tr>
							<td colspan="4">Kein Schriftgutobjekt mit erforderlichem elektronischen Empfangsbekenntnis vorhanden!</td>
						</tr>
					</xsl:otherwise>
					
				</xsl:choose>
			 </tbody>
			 
			</table>	

			<xsl:if test="$ruecklaufendesEEB_datei != false() and not($ruecklaufendesEEB_datei//tns:empfangsbestaetigung)">
				<p>übermittelt worden.</p>				
			</xsl:if>


			<!-- PRUEFUNG 06: Wurde der Empfang bestaetigt (eEB wurde abgegeben/nicht abgegeben)? -->
			<xsl:choose>
			
				<!-- Ruecklaufendes eEB fehlt -->
				<xsl:when test="not($ruecklaufendesEEB_datei)">
					<!-- do nothing! -->
					<!-- Hinweis auf fehlendes rueckl. eEB wurde bereits bei 'PRUEFUNG 03' ausgegeben! -->
				</xsl:when>
				
				<!-- eEB wurde NICHT abgegeben; Datenquelle: rueckl. eEB! -->
				<xsl:when test="not($ruecklaufendesEEB_datei//tns:empfangsbestaetigung)">
					<p class="fett rot abstandOben">Das Empfangsbekenntnis wird nicht abgegeben, da:</p>
					<div class="eebAblehnung rahmen rot">					
			
						<xsl:call-template name="sucheStoerungsgrund">
							<xsl:with-param name="codeStoerungsID" select="$ruecklaufendesEEB_datei//tns:stoerungsID/code"/>
						</xsl:call-template>		

						<xsl:if test="$ruecklaufendesEEB_datei//tns:stoerungsGrund">
							<br/><br/>
							<span class="fett">Erläuterung:</span><br/>
							<xsl:value-of select="$ruecklaufendesEEB_datei//tns:stoerungsGrund"/>	
						</xsl:if>
					</div>
				</xsl:when>
				
				<!-- Datumsausgabe wenn eEB abgegeben wurde; Datenquelle: rueckl. eEB! -->
				<xsl:when test="$ruecklaufendesEEB_datei != false() and $ruecklaufendesEEB_datei//tns:empfangsbestaetigung">
					<h2 class="abstandObenPrint">Datum:</h2>
					<p>
						<xsl:call-template name="formatDate">
							<xsl:with-param name="date"><xsl:value-of select="$ruecklaufendesEEB_datei//tns:empfangsbestaetigung"/></xsl:with-param>
						</xsl:call-template>	
					</p>
				</xsl:when>
				<xsl:otherwise>
					<!-- do nothing! -->
				</xsl:otherwise>
			</xsl:choose>


			<!-- Angaben zum Zustellungsempfaenger (hinl. eEB) und Unterzeichner (rueckl. eEB) -->
			<h2>Zustellungsempfänger oder Zustellungsempfängerin:</h2>
			
				<xsl:choose>
					<!-- Optionaler ergaenzender Inline-Hinweis wg. fehlendem ruecklaufenden eEB (Datei 'xjustiz_nachricht.xml' fehlt oder wurde falsch benannt!) -->
					<xsl:when test="not($ruecklaufendesEEB_datei)">
						<!-- Unterzeichner wird weggelassen! -->
						<!-- Optionale Ausgabe: <p><span class="fehler rot">- Fehlende Angaben -</span> (Unterzeichner/in)</p> -->
					</xsl:when>
					<xsl:otherwise>
						<!-- Datenquelle: rueckl. eEB! -->
						  <!-- Unterzeichner (= Absender) des ruecklaufenden eEB's -->
						  <p><xsl:apply-templates select="$ruecklaufendesEEB_datei//tns:absender.gericht|$ruecklaufendesEEB_datei//tns:absender.rvTraeger|$ruecklaufendesEEB_datei//tns:absender.sonstige"/> (Unterzeichner/in)</p>
						
						  <!-- Unabhaengig davon, ob Vertreter vorhanden oder NICHT vorhanden ist -->
						  <xsl:if test="$ruecklaufendesEEB_datei//tns:aktenzeichen.absender">
							
							<p class="kursiv"><em>Geschäftszeichen:&#160;</em>
							<!-- Das Absender-Aktenzeichen kann in XJ-3.x.x (auch in der eEB-Nachricht, ruecklaufend) mehr als einmal vorkommen -->
							<xsl:for-each select="$ruecklaufendesEEB_datei//tns:aktenzeichen.absender">
								<em>
								<xsl:value-of select="."/>
								<xsl:if test="not(position() = last())">,&#160;</xsl:if>
								</em>
							</xsl:for-each>
							</p>
							
						  </xsl:if>
				
						  <!-- Hinweis Vertreter -->
						  <xsl:if test="($ruecklaufendesEEB_datei//tns:zustellungsempfaenger.abweichend = 'true') or ($ruecklaufendesEEB_datei//tns:zustellungsempfaenger.abweichend = '1')">			
							<p class="abstandOben">als Vertreter oder Vertreterin von:</p>
						  </xsl:if>
						<!-- /Datenquelle: rueckl. eEB! -->
						
					</xsl:otherwise>
				</xsl:choose>	

				<!-- Zustellungsempfaenger (= urspr. Zustellungsempfaenger des hinlaufenden eEBs); Datenquelle: hinl. eEB! -->
				<p><xsl:apply-templates select="//tns:empfaenger.gericht|//tns:empfaenger.rvTraeger|//tns:empfaenger.sonstige"/> (Zustellungsempfänger/in)</p>

				<!-- Bei vorhandenem Vertreter und vorhandenem 'aktenzeichen.empfaenger' im hinl. eEB wird 'aktenzeichen.empfaenger' aus hinl. eEB immer ausgegeben (unabhaengig davon, ob im rueckl. eEB ein 'aktenzeichen.absender' vorhanden ist)!  Datenquelle: hinl. eEB! -->
				<xsl:if test="//tns:aktenzeichen.empfaenger and ($ruecklaufendesEEB_datei//tns:zustellungsempfaenger.abweichend = 'true' or $ruecklaufendesEEB_datei//tns:zustellungsempfaenger.abweichend = '1')">
					<p class="kursiv"><em>Geschäftszeichen:&#160;</em>
						<!-- Das Empfaenger-Aktenzeichen kann in XJ-3.x.x (auch in der eEB-Nachricht, hinlaufend, wie hier fuer die Ausgabe verwendet) mehr als einmal vorkommen -->
						<xsl:for-each select="//tns:aktenzeichen.empfaenger">
							<em>
							<xsl:value-of select="."/>
							<xsl:if test="not(position() = last())">,&#160;</xsl:if>
							</em>
						</xsl:for-each>
					</p>
				</xsl:if>
		<!-- /eEB - Abgabe/Nicht-Abgabe -->

	</xsl:template>
	
	
	<!-- /////////////// Auslesen des Absenders aus ruecklaufendem eEB \\\\\\\\\\\\\\\ -->
	<xsl:template match="/tns:nachricht.eeb.zuruecklaufend.2200007//tns:absender.gericht|/tns:nachricht.eeb.zuruecklaufend.2200007//tns:absender.rvTraeger|/tns:nachricht.eeb.zuruecklaufend.2200007//tns:absender.sonstige">

		<xsl:choose>
			<xsl:when test="local-name(.) = 'absender.gericht'">
				<xsl:call-template name="sucheBehoerde">
					<xsl:with-param name="codeXJustizID" select="./code" />
					<xsl:with-param name="eEB_laufrichtung">eEB_rueckl</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="local-name(.) = 'absender.rvTraeger'">
				<xsl:call-template name="sucheCodelistenwert">
					<!-- hier andere Codelistenstruktur bis XJ-3.2.1 (einschl.) nicht beruecksichtigen, da rueckl. eEB nicht mehr XJ-3.2.1 sein kann! -->
					<xsl:with-param name="codelisteSonstige" select="'gds.rvtraeger'"/>
					<xsl:with-param name="codeSonstigeID" select="./code"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<!-- entspricht: 'absender.sonstige' (String-Wert) -->
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	
	<!-- /////////////// Auslesen des Absenders aus hinlaufendem eEB \\\\\\\\\\\\\\\ -->
	<xsl:template match="tns:absender.gericht|tns:absender.rvTraeger|tns:absender.sonstige">

		<xsl:choose>
			<xsl:when test="local-name(.) = 'absender.gericht'">
				<xsl:call-template name="sucheBehoerde">
					<xsl:with-param name="codeXJustizID" select="./code" />
					<xsl:with-param name="eEB_laufrichtung">eEB_hinl</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="local-name(.) = 'absender.rvTraeger'">
			
				<!-- andere Codelistenstruktur bis XJ-3.2.1 (einschl.) -->
				<xsl:choose>
					<xsl:when test="contains('3.2.1', $hinlaufendesEEB_xjustizVersion)">
						<xsl:call-template name="sucheCodelistenwert">
							<xsl:with-param name="codelisteSonstige" select="'Code.GDS.RVTraeger'"/>
							<xsl:with-param name="codeSonstigeID" select="./code"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="sucheCodelistenwert">
							<xsl:with-param name="codelisteSonstige" select="'gds.rvtraeger'"/>
							<xsl:with-param name="codeSonstigeID" select="./code"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				
			</xsl:when>
			<xsl:otherwise>
				<!-- entspricht: 'absender.sonstige' (String-Wert) -->
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	

	<!-- /////////////// Auslesen des Empfaengers aus hinlaufendem eEB \\\\\\\\\\\\\\\ -->
	<xsl:template match="tns:empfaenger.gericht|tns:empfaenger.rvTraeger|tns:empfaenger.sonstige">

		<xsl:choose>
			<xsl:when test="local-name(.) = 'empfaenger.gericht'">
				<xsl:call-template name="sucheBehoerde">
					<xsl:with-param name="codeXJustizID" select="./code" />
					<xsl:with-param name="eEB_laufrichtung">eEB_hinl</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="local-name(.) = 'empfaenger.rvTraeger'">
			
				<!-- andere Codelistenstruktur bis XJ-3.2.1 (einschl.) -->
				<xsl:choose>
					<xsl:when test="contains('3.2.1', $hinlaufendesEEB_xjustizVersion)">
						<xsl:call-template name="sucheCodelistenwert">
							<xsl:with-param name="codelisteSonstige" select="'Code.GDS.RVTraeger'"/>
							<xsl:with-param name="codeSonstigeID" select="./code"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="sucheCodelistenwert">
							<xsl:with-param name="codelisteSonstige" select="'gds.rvtraeger'"/>
							<xsl:with-param name="codeSonstigeID" select="./code"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				
			</xsl:when>
			<xsl:otherwise>
				<!-- entspricht: 'empfaenger.sonstige' (String-Wert) -->
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	
<!-- ############################# Vorlagen (II) zur Verarbeitung der XJustiz-Instanzdokumente ############################# -->
	
	<!-- /////////////// Akten-Daten (Datenquelle: hinl. eEB) \\\\\\\\\\\\\\\ -->
	<xsl:template name="aktendaten">
	
		<!-- Prüfung der eEB-Anforderung je Akte -->
		<xsl:if test="tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = 'true' or tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = '1'">		
			
			<!-- Nr ('Nummer im uebergeordneten Container') --> 				
			<xsl:choose>
				<xsl:when test="tns:identifikation/tns:nummerImUebergeordnetenContainer">
					<td><xsl:value-of select="tns:identifikation/tns:nummerImUebergeordnetenContainer" /></td>
				</xsl:when>
				<xsl:otherwise>
					<td> </td>
				</xsl:otherwise>
			</xsl:choose>
			
			<!-- Codelistenwert ('Aktentyp') -->
			<td>
				<!-- andere Codelistenstruktur bis XJ-3.2.1 (einschl.) -->
				<xsl:choose>
					<xsl:when test="contains('3.2.1', $hinlaufendesEEB_xjustizVersion)">
						<xsl:call-template name="sucheCodelistenwert">
							<xsl:with-param name="codelisteSonstige" select="'Code.GDS.Aktentyp'"/>
							<xsl:with-param name="codeSonstigeID" select="tns:xjustiz.fachspezifischeDaten/tns:aktentyp/code"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="sucheCodelistenwert">
							<xsl:with-param name="codelisteSonstige" select="'gds.aktentyp'"/>
							<xsl:with-param name="codeSonstigeID" select="tns:xjustiz.fachspezifischeDaten/tns:aktentyp/code"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			
			<!-- 'Datum des Schreibens': entfaellt -->
			<td>--</td>
			
			<!-- Anzeigename --> 		
			<xsl:choose>
				<xsl:when test="tns:xjustiz.fachspezifischeDaten/tns:anzeigename">
					<td><xsl:value-of select="tns:xjustiz.fachspezifischeDaten/tns:anzeigename" /></td>
				</xsl:when>
				<xsl:otherwise>
					<td> </td>
				</xsl:otherwise>
			</xsl:choose>
				
		</xsl:if>
		
	</xsl:template>
	
	
	<!-- /////////////// Teilakten-Daten (Datenquelle: hinl. eEB) \\\\\\\\\\\\\\\ -->
	<xsl:template name="teilaktendaten">
	
		<!-- Prüfung der eEB-Anforderung je Teilakte -->		
		<xsl:if test="tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = 'true' or tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = '1'">
			
				<!-- Nr ('Nummer im uebergeordneten Container') --> 				
				<xsl:choose>
					<xsl:when test="tns:identifikation/tns:nummerImUebergeordnetenContainer">
						<td><xsl:value-of select="tns:identifikation/tns:nummerImUebergeordnetenContainer" /></td>
					</xsl:when>
					<xsl:otherwise>
						<td> </td>
					</xsl:otherwise>
				</xsl:choose>
			
				<!-- Codelistenwert ('Teilaktentyp') -->
				<td>
					<!-- andere Codelistenstruktur bis XJ-3.2.1 (einschl.) -->
					<xsl:choose>
						<xsl:when test="contains('3.2.1', $hinlaufendesEEB_xjustizVersion)">
							<xsl:call-template name="sucheCodelistenwert">
								<xsl:with-param name="codelisteSonstige" select="'Code.GDS.Teilaktentyp'"/>
								<xsl:with-param name="codeSonstigeID" select="tns:xjustiz.fachspezifischeDaten/tns:teilaktentyp/code"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="sucheCodelistenwert">
								<xsl:with-param name="codelisteSonstige" select="'gds.teilaktentyp'"/>
								<xsl:with-param name="codeSonstigeID" select="tns:xjustiz.fachspezifischeDaten/tns:teilaktentyp/code"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			
				<!-- 'Datum des Schreibens': entfaellt -->
				<td>--</td>
				
				<!-- Anzeigename --> 		
				<xsl:choose>
					<xsl:when test="tns:xjustiz.fachspezifischeDaten/tns:anzeigename">
						<td><xsl:value-of select="tns:xjustiz.fachspezifischeDaten/tns:anzeigename" /></td>
					</xsl:when>
					<xsl:otherwise>
						<td> </td>
					</xsl:otherwise>
				</xsl:choose>

		</xsl:if>
		
	</xsl:template>
	
	
	<!-- /////////////// Dokument-Daten (Datenquelle: hinl. eEB) \\\\\\\\\\\\\\\ -->
	<xsl:template name="dokumentdaten">
	
		<!-- Pruefung der eEB-Anforderung je Dokument -->		
		<xsl:if test="tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = 'true' or tns:xjustiz.fachspezifischeDaten/tns:ruecksendungEEB.erforderlich = '1'">
				
				<!-- Nr ('Nummer im uebergeordneten Container') --> 				
				<xsl:choose>
					<xsl:when test="tns:identifikation/tns:nummerImUebergeordnetenContainer">
						<td><xsl:value-of select="tns:identifikation/tns:nummerImUebergeordnetenContainer" /></td>
					</xsl:when>
					<xsl:otherwise>
						<td> </td>
					</xsl:otherwise>
				</xsl:choose>
			
				<!-- Codelistenwert (Ausgabe: 'GDS.Dokumentklasse' (Pflicht), 'GDS.Dokumenttyp' (optional)) -->
				<td>

					<!-- 1.) Code.GDS.Dokumentklasse.Typ3' -->
					<xsl:call-template name="sucheDokumentwert">
						<xsl:with-param name="codelisteDokument" select="'Code.GDS.Dokumentklasse'"/>
						<xsl:with-param name="codeDokumentID" select="tns:xjustiz.fachspezifischeDaten/tns:dokumentklasse/code"/>
					</xsl:call-template>
					<!-- 2.) Code.GDS.Dokumenttyp.Typ3' -->
					<xsl:call-template name="sucheDokumentwert">
						<xsl:with-param name="codelisteDokument" select="'Code.GDS.Dokumenttyp'"/>
						<xsl:with-param name="codeDokumentID" select="tns:xjustiz.fachspezifischeDaten/tns:dokumententyp/code"/>
					</xsl:call-template>

				</td>
				
				<!-- 'Datum des Schreibens' -->
				<xsl:choose>
					<xsl:when test="tns:datumDesSchreibens">
						<td>
							<xsl:call-template name="formatDate">
								<xsl:with-param name="date"><xsl:value-of select="tns:datumDesSchreibens" /></xsl:with-param>
							</xsl:call-template>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td> </td>
					</xsl:otherwise>
				</xsl:choose>

				<!-- Anzeigename (hilfsweise 'dateiname' bzw. Leerstring: ' ') --> 				
				<xsl:choose>
					<!-- 1. 'anzeigename' ausgeben, soweit vorhanden -->
					<xsl:when test="tns:xjustiz.fachspezifischeDaten/tns:anzeigename">
						<td><xsl:value-of select="tns:xjustiz.fachspezifischeDaten/tns:anzeigename" /></td>
					</xsl:when>
					<!-- 2. ersatzweise 'dateiname' zu 'datei' (1..n) ausgeben, wenn Geschwister-Element 'bestandteil' den Code '001' (Wert: 'Original') hat -->
					<xsl:when test="tns:xjustiz.fachspezifischeDaten/tns:datei/tns:dateiname[../tns:bestandteil/code = '001']">
						<!-- Kontext: 'document'! -->
						<td><xsl:value-of select="tns:xjustiz.fachspezifischeDaten/tns:datei/tns:dateiname[../tns:bestandteil/code = '001']" /></td>
					</xsl:when>
					<!-- 3. ersatzweise leere Tabellenzelle ausgeben -->
					<xsl:otherwise>
						<td> </td>
					</xsl:otherwise>
				</xsl:choose>

		</xsl:if>
		
	</xsl:template>

	
	<!-- /////////////// Datums-Formatierung eines 'xs:date' oder 'xs:dateTime' - Wertes \\\\\\\\\\\\\\\ -->
	<xsl:template name="formatDate">
		<xsl:param name="date" />
		<!-- z.B.  2021-01-11 oder 2021-01-11T08:00:00.0 ergeben 11.01.2021  -->
		<xsl:variable name="year" select="substring-before($date, '-')" />
		<xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')" />
		<xsl:variable name="day" select="substring(substring-after(substring-after($date, '-'), '-'), 1, 2)" />
		<xsl:value-of select="concat($day, '.', $month, '.', $year)" />
	</xsl:template>
	

	<!-- /////////////// Pruefung 04, ob richtige XJustiz-Versionsnummern vorliegen (3.2.1, 3.3.1 oder 3.4.1), sowie richtige Kombination aus hinlaufendem/ruecklaufendem eEB hinsichtlich XJustiz-Version \\\\\\\\\\\\\\\ -->
	<xsl:template name="versionspruefung_xj">
		<xsl:choose>
			<xsl:when test="not(contains('3.2.1_3.3.1_3.4.1', $hinlaufendesEEB_xjustizVersion)) or not(contains('3.3.1_3.4.1', $ruecklaufendesEEB_xjustizVersion))">
				<div class="box hinweisBox textCenter abstandUnten">
					<p class="meldung">Hinweis:</p>
					<p>Die XJustiz-Version der XJustiz-Nachricht (hinlaufendes und/oder rücklaufendes eEB) wird nicht unterstützt! Nähere Informationen können der Anleitung zur eEB-Stylesheet - Anwendung entnommen werden.</p>
				</div>
			</xsl:when>
			<xsl:when test="contains('3.2.1', $hinlaufendesEEB_xjustizVersion) and not(contains('3.3.1', $ruecklaufendesEEB_xjustizVersion))">
				<div class="box hinweisBox textCenter abstandUnten">
					<p class="meldung">Hinweis:</p>
					<p>Die XJustiz-Version der XJustiz-Nachricht (hinlaufendes und/oder rücklaufendes eEB) wird nicht unterstützt! Nähere Informationen können der Anleitung zur eEB-Stylesheet - Anwendung entnommen werden.</p>
					<!-- Alternativ: 'Bei einem hinlaufenden eEB der XJustiz-Version 3.2.1 muss das rücklaufende eEB die XJustiz-Version 3.3.1 haben. Die XJustiz-Versionsnummer des rücklaufenden Instanzdokuments (xjustiz_nachricht.xml) entspricht jedoch nicht der XJustiz-Version 3.3.1. Möglicherweise wird der Inhalt nicht korrekt dargestellt!' -->
				</div>
			</xsl:when>
			<xsl:when test="contains('3.3.1', $hinlaufendesEEB_xjustizVersion) and not(contains('3.3.1_3.4.1', $ruecklaufendesEEB_xjustizVersion))">
				<div class="box hinweisBox textCenter abstandUnten">
					<p class="meldung">Hinweis:</p>
					<p>Die XJustiz-Version der XJustiz-Nachricht (hinlaufendes und/oder rücklaufendes eEB) wird nicht unterstützt! Nähere Informationen können der Anleitung zur eEB-Stylesheet - Anwendung entnommen werden.</p>
					<!-- Alternativ: 'Bei einem hinlaufenden eEB der XJustiz-Version 3.3.1 muss das rücklaufende eEB die XJustiz-Version 3.3.1 oder 3.4.1 haben. Die XJustiz-Versionsnummer des rücklaufenden Instanzdokuments (xjustiz_nachricht.xml) entspricht jedoch nicht der XJustiz-Version 3.3.1 oder 3.4.1. Möglicherweise wird der Inhalt nicht korrekt dargestellt!' -->
				</div>
			</xsl:when>
			<xsl:when test="contains('3.4.1', $hinlaufendesEEB_xjustizVersion) and not(contains('3.4.1', $ruecklaufendesEEB_xjustizVersion))">
				<div class="box hinweisBox textCenter abstandUnten">
					<p class="meldung">Hinweis:</p>
					<p>Die XJustiz-Version der XJustiz-Nachricht (hinlaufendes und/oder rücklaufendes eEB) wird nicht unterstützt! Nähere Informationen können der Anleitung zur eEB-Stylesheet - Anwendung entnommen werden.</p>
					<!-- Alternativ: 'Bei einem hinlaufenden eEB der XJustiz-Version 3.4.1 muss das rücklaufende eEB die XJustiz-Version 3.4.1 haben. Die XJustiz-Versionsnummer des rücklaufenden Instanzdokuments (xjustiz_nachricht.xml) entspricht jedoch nicht der XJustiz-Version 3.4.1, wie im hinlaufenden Instanzdokument verwendet.<br />Möglicherweise wird der Inhalt nicht korrekt dargestellt!' -->
				</div>
			</xsl:when>
			<xsl:otherwise>
				<!-- do nothing! -->
			</xsl:otherwise>
		</xsl:choose> 
	</xsl:template>
	
	
	<!-- /////////////// Suche Wert fuer 'XJustiz-ID - Code' in Codeliste 'GDS Gerichte' \\\\\\\\\\\\\\\ -->
	<!-- Codeliste ggf. im hinl. und ggf. im rueckl. eEB vorhanden! -->
	<xsl:template name="sucheBehoerde">
		<xsl:param name="codeXJustizID" />
		<xsl:param name="eEB_laufrichtung" /><!-- Werte: eEB_hinl / eEB_rueckl -->

		<xsl:choose>
			<!-- eEB_hinl, XJustiz-Version 3.2.1, 3.3.1 oder 3.4.1 -->
			<xsl:when test="contains('3.2.1_3.3.1_3.4.1', $hinlaufendesEEB_xjustizVersion) and $eEB_laufrichtung = 'eEB_hinl'">
				<xsl:variable name="codelistEntryMatched_GDSGerichteTyp3_Hin" select="$codeliste_GDSGerichteTyp3//SimpleCodeList/Row[Value[@ColumnRef='code']/SimpleValue=$codeXJustizID]/Value[@ColumnRef='wert']/SimpleValue" />
				
				<xsl:choose>
					<!-- Kein Codelistentreffer und fehlende Codelistenversion! -->
					<xsl:when test="not($codelistEntryMatched_GDSGerichteTyp3_Hin) and $codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB = ''">
						<span class="triggerCodelistHinweisBox">
							<!-- Fehler-Text fuer CL-Fehlerhinweis -->
							<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeXJustizID"/>' (Code.GDS.Gerichte.Typ3, fehlende Versionsangabe!)</span>
						</span>
					</xsl:when>
					<!-- Kein Codelistentreffer und keine erlaubte Codelistenversion: vermutl. neuere Codelistenversion noetig! -->
					<xsl:when test="not($codelistEntryMatched_GDSGerichteTyp3_Hin) and not(contains($gueltigeCodelistenVersionen_GDSGerichteTyp3, $codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB))">
						<span class="triggerCodelistHinweisBox">
							<!-- Fehler-Text fuer CL-Fehlerhinweis -->
							<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeXJustizID"/>' (Code.GDS.Gerichte.Typ3, unbekannte Version: <xsl:value-of select="$codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB"/>)</span>
						</span>
					</xsl:when>
					<!-- Kein Codelistentreffer aber erlaubte Codelistenversion vorhanden  -->
					<xsl:when test="not($codelistEntryMatched_GDSGerichteTyp3_Hin) and contains($gueltigeCodelistenVersionen_GDSGerichteTyp3, $codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB)">
						<span>
							<!-- Fehler-Text fuer CL-Fehlerhinweis -->
							<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeXJustizID"/>' (Code.GDS.Gerichte.Typ3, <!-- bekannte -->Version: <xsl:value-of select="$codelistenVersion_GDSGerichteTyp3_ausHinlaufendemEEB"/>)</span>
						</span>
					</xsl:when>
					<xsl:otherwise>
						<!-- Ein Codelistentreffer vorhanden (Codelistenversion darf jedoch falsch sein oder fehlen gemaess ProBue-Vereinbarung!) -->
						<xsl:value-of select="$codelistEntryMatched_GDSGerichteTyp3_Hin" />
					</xsl:otherwise>
				</xsl:choose>
		
			</xsl:when>
			<!-- eEB_rueckl, XJustiz-Version 3.3.1 oder 3.4.1 -->
			<xsl:when test="contains('3.3.1_3.4.1', $hinlaufendesEEB_xjustizVersion) and $eEB_laufrichtung = 'eEB_rueckl'">
				<xsl:variable name="codelistEntryMatched_GDSGerichteTyp3_Rueck" select="$codeliste_GDSGerichteTyp3//SimpleCodeList/Row[Value[@ColumnRef='code']/SimpleValue=$codeXJustizID]/Value[@ColumnRef='wert']/SimpleValue" />
				
				<xsl:choose>
					<!-- Kein Codelistentreffer und fehlende Codelistenversion! -->
					<xsl:when test="not($codelistEntryMatched_GDSGerichteTyp3_Rueck) and $codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB = ''">
						<span class="triggerCodelistHinweisBox">
							<!-- Fehler-Text fuer CL-Fehlerhinweis -->
							<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeXJustizID"/>' (Code.GDS.Gerichte.Typ3, fehlende Versionsangabe!)</span>
						</span>
					</xsl:when>
					<!-- Kein Codelistentreffer und keine erlaubte Codelistenversion: vermutl. neuere Codelistenversion noetig! -->
					<xsl:when test="not($codelistEntryMatched_GDSGerichteTyp3_Rueck) and not(contains($gueltigeCodelistenVersionen_GDSGerichteTyp3, $codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB))">
						<span class="triggerCodelistHinweisBox">
							<!-- Fehler-Text fuer CL-Fehlerhinweis -->
							<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeXJustizID"/>' (Code.GDS.Gerichte.Typ3, unbekannte Version: <xsl:value-of select="$codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB"/>)</span>
						</span>
					</xsl:when>
					<!-- Kein Codelistentreffer aber erlaubte Codelistenversion vorhanden -->
					<xsl:when test="not($codelistEntryMatched_GDSGerichteTyp3_Rueck) and contains($gueltigeCodelistenVersionen_GDSGerichteTyp3, $codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB)">
						<span>
							<!-- Fehler-Text fuer CL-Fehlerhinweis -->
							<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeXJustizID"/>' (Code.GDS.Gerichte.Typ3, <!-- bekannte -->Version: <xsl:value-of select="$codelistenVersion_GDSGerichteTyp3_ausRuecklaufendemEEB"/>)</span>
						</span>
					</xsl:when>
					<xsl:otherwise>
						<!-- Ein Codelistentreffer vorhanden (Codelistenversion darf jedoch falsch sein oder fehlen gemaess ProBue-Vereinbarung!) -->
						<xsl:value-of select="$codelistEntryMatched_GDSGerichteTyp3_Rueck" />
					</xsl:otherwise>
				</xsl:choose>
				
			</xsl:when>
			<xsl:otherwise>
				<!-- do nothing! -->
			</xsl:otherwise>
		</xsl:choose>
			
	</xsl:template>
	
	
	<!-- /////////////// Suche Wert fuer 'Stoerungs-ID - Code' in Codeliste 'EEB.StoerungsID' \\\\\\\\\\\\\\\ -->
	<!-- Codeliste nur ggf. (bei eEB-Ablehnung) im rueckl. eEB vorhanden! -->
	<!-- Hinweis: Unterschiedliche Schreibweise zu Code '3' bei Wert zwischen XJ-3.3.1 und XJ-3.4.1 vernachlaessigbar: 'Zertifikatspruefung fehlgeschlagen'/'Zertifikatsprüfung fehlgeschlagen' -->
	<xsl:template name="sucheStoerungsgrund">
		<xsl:param name="codeStoerungsID" />
		<xsl:choose>
			<xsl:when test="$ruecklaufendesEEB_xjustizVersion = '3.3.1'">
				<xsl:value-of select="$codeliste_EEBStoerungsID_XJ331//xs:enumeration[@value=$codeStoerungsID]/xs:annotation/xs:appinfo/wert"/>
			</xsl:when>
			<xsl:when test="$ruecklaufendesEEB_xjustizVersion = '3.4.1'">
				<xsl:value-of select="$codeliste_EEBStoerungsID_XJ341//xs:enumeration[@value=$codeStoerungsID]/xs:annotation/xs:appinfo/wert"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- do nothing! -->
			</xsl:otherwise>
		</xsl:choose>	
	</xsl:template>	
	
	
	<!-- /////////////// Suche Wert fuer Code Dokumentklasse/Dokumenttyp (jeweils Typ3) \\\\\\\\\\\\\\\ -->
	<!-- Codeliste(n) nur ggf. im  hinl. eEB vorhanden! -->
	<xsl:template name="sucheDokumentwert">
		<xsl:param name="codelisteDokument"/>
		<xsl:param name="codeDokumentID" />
		<xsl:choose>
			<xsl:when test="contains('3.2.1_3.3.1_3.4.1', $hinlaufendesEEB_xjustizVersion)">
			
				<!-- Code.GDS.Dokumentklasse (Typ3, Pflicht) / Code.GDS.Dokumenttyp (Typ3, optional): lokale Typ3-Codeliste 'GDS.Dokumentklasse' / 'GDS.Dokumenttyp' -->
				<xsl:choose>
					<xsl:when test="$codelisteDokument = 'Code.GDS.Dokumentklasse'">

						<!-- Code.GDS.Dokumentklasse (Typ3, Pflicht): lokale Typ3-Codeliste 'GDS.Dokumentklasse' -->
						<xsl:variable name="codelistEntryMatched_GDSDokumentklasseTyp3" select="$codeliste_GDSDokumentklasseTyp3//SimpleCodeList/Row[Value[@ColumnRef='code']/SimpleValue=$codeDokumentID]/Value[@ColumnRef='wert']/SimpleValue" />
						<xsl:choose>
							<!-- Kein Codelistentreffer und fehlende Codelistenversion! -->
							<xsl:when test="not($codelistEntryMatched_GDSDokumentklasseTyp3) and $codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB = ''">
								<span class="triggerCodelistHinweisBox">
									<!-- Fehler-Text fuer CL-Fehlerhinweis -->
									<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeDokumentID"/>' (Code.GDS.Dokumentklasse.Typ3, fehlende Versionsangabe!)</span>
								</span>
							</xsl:when>
							<!-- Kein Codelistentreffer und keine erlaubte Codelistenversion: vermutl. neuere Codelistenversion noetig! -->
							<xsl:when test="not($codelistEntryMatched_GDSDokumentklasseTyp3) and not(contains($gueltigeCodelistenVersionen_GDSDokumentklasseTyp3, $codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB))">
								<span class="triggerCodelistHinweisBox">
									<!-- Fehler-Text fuer CL-Fehlerhinweis -->
									<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeDokumentID"/>' (Code.GDS.Dokumentklasse.Typ3, unbekannte Version: <xsl:value-of select="$codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB"/>)</span>
								</span>
							</xsl:when>
							<!-- Kein Codelistentreffer aber erlaubte Codelistenversion vorhanden -->
							<xsl:when test="not($codelistEntryMatched_GDSDokumentklasseTyp3) and contains($gueltigeCodelistenVersionen_GDSDokumentklasseTyp3, $codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB)">
								<span>
									<!-- Fehler-Text fuer CL-Fehlerhinweis -->
									<span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeDokumentID"/>' (Code.GDS.Dokumentklasse.Typ3, <!-- bekannte -->Version: <xsl:value-of select="$codelistenVersion_GDSDokumentklasseTyp3_ausHinlaufendemEEB"/>)</span>
								</span>
							</xsl:when>
							<xsl:otherwise>
								<!-- Ein Codelistentreffer vorhanden (Codelistenversion darf jedoch falsch sein oder fehlen gemaess ProBue-Vereinbarung!) -->
								<xsl:value-of select="$codelistEntryMatched_GDSDokumentklasseTyp3" />
							</xsl:otherwise>
						</xsl:choose>
						<!-- /Code.GDS.Dokumentklasse (Typ3): lokale Typ3-Codeliste 'GDS.Dokumentklasse'  -->
						
					</xsl:when>
					<xsl:when test="$codelisteDokument = 'Code.GDS.Dokumenttyp'">
				
						<!-- if-Konstrukt, um zunaechst zu pruefen, ob optionale Codeliste 'GDS.Dokumenttyp' ueberhaupt vorhanden ist (ansonsten erfolgt immer eine Fehlermeldung!) -->
						<xsl:if test="$codeDokumentID">
				
							<!-- Code.GDS.Dokumenttyp (Typ3, optional), soweit optionales  Element '<tns:dokumententyp>' vorhanden: lokale Typ3-Codeliste 'GDS.Dokumenttyp'  -->
							<xsl:variable name="codelistEntryMatched_GDSDokumenttypTyp3" select="$codeliste_GDSDokumenttypTyp3//SimpleCodeList/Row[Value[@ColumnRef='code']/SimpleValue=$codeDokumentID]/Value[@ColumnRef='wert']/SimpleValue" />
							<xsl:choose>
								<!-- Kein Codelistentreffer und fehlende Codelistenversion! -->
								<xsl:when test="not($codelistEntryMatched_GDSDokumenttypTyp3) and $codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB = ''">
									<span class="triggerCodelistHinweisBox">
										<!-- Fehler-Text fuer CL-Fehlerhinweis -->
										<span>, </span><span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeDokumentID"/>' (Code.GDS.Dokumenttyp.Typ3, fehlende Versionsangabe!)</span>
									</span>
								</xsl:when>
								<!-- Kein Codelistentreffer und keine erlaubte Codelistenversion: vermutl. neuere Codelistenversion noetig! -->
								<xsl:when test="not($codelistEntryMatched_GDSDokumenttypTyp3) and not(contains($gueltigeCodelistenVersionen_GDSDokumenttypTyp3, $codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB))">
									<span class="triggerCodelistHinweisBox">
										<!-- Fehler-Text fuer CL-Fehlerhinweis -->
										<span>, </span><span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeDokumentID"/>' (Code.GDS.Dokumenttyp.Typ3, unbekannte Version: <xsl:value-of select="$codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB"/>)</span>
									</span>
								</xsl:when>
								<!-- Kein Codelistentreffer aber erlaubte Codelistenversion vorhanden -->
								<xsl:when test="not($codelistEntryMatched_GDSDokumenttypTyp3) and contains($gueltigeCodelistenVersionen_GDSDokumenttypTyp3, $codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB)">
									<span>
										<!-- Fehler-Text fuer CL-Fehlerhinweis -->
										<span>, </span><span class="fehlerCodeliste fehler">Fehler: Kein Codelisteneintrag zum Schlüssel '<xsl:value-of select="$codeDokumentID"/>' (Code.GDS.Dokumenttyp.Typ3, <!-- bekannte -->Version: <xsl:value-of select="$codelistenVersion_GDSDokumenttypTyp3_ausHinlaufendemEEB"/>)</span>
									</span>
								</xsl:when>
								<!-- Ein Codelistentreffer vorhanden (Codelistenversion darf jedoch falsch sein oder fehlen gemaess ProBue-Vereinbarung!) -->
								<xsl:otherwise>, <xsl:value-of select="$codelistEntryMatched_GDSDokumenttypTyp3" /></xsl:otherwise>
							</xsl:choose>
						
						</xsl:if>
						<!-- /Code.GDS.Dokumenttyp (Typ3), soweit optionales  Element '<tns:dokumententyp>' vorhanden: lokale Typ3-Codeliste 'GDS.Dokumenttyp'  -->
				
					</xsl:when>
					<xsl:otherwise>
						<!-- do nothing! -->
					</xsl:otherwise>
				</xsl:choose>

			</xsl:when>
			<xsl:otherwise>
				<!-- do nothing! -->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
	<!-- /////////////// Suche Wert fuer Code in sonstigen Codelisten zu Aktentyp, Teilaktentyp und RVTraeger \\\\\\\\\\\\\\\ -->
	<!-- Codelisten nur (z.T. ggf.) im hinl. eEB vorhanden! -->
	<xsl:template name="sucheCodelistenwert">
		<xsl:param name="codelisteSonstige"/>
		<xsl:param name="codeSonstigeID" />
		<xsl:variable name="aktuelleListe321" select="$codeliste_GDSAllgemeinTyp1_XJ321//xs:complexType[@name=$codelisteSonstige]" />
		<xsl:variable name="aktuelleListe331" select="$codeliste_GDSAllgemeinTyp1_XJ331//xs:simpleType[@name=$codelisteSonstige]" />
		<xsl:variable name="aktuelleListe341" select="$codeliste_GDSAllgemeinTyp1_XJ341//xs:simpleType[@name=$codelisteSonstige]" />
		<xsl:choose>
			<xsl:when test="$hinlaufendesEEB_xjustizVersion = '3.2.1'">
				<xsl:value-of select="$aktuelleListe321//xs:enumeration[@value=$codeSonstigeID]"/>
			</xsl:when>
			<xsl:when test="$hinlaufendesEEB_xjustizVersion = '3.3.1'">
				<xsl:value-of select="$aktuelleListe331//xs:enumeration[@value=$codeSonstigeID]"/>
			</xsl:when>
			<xsl:when test="$hinlaufendesEEB_xjustizVersion = '3.4.1'">
				<xsl:value-of select="$aktuelleListe341//xs:enumeration[@value=$codeSonstigeID]"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- do nothing! -->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>